Package org.eclipse.mat.internal.snapshot.inspections

# Class MultiplePath2GCRootsQuery.Tree

java.lang.Object
org.eclipse.mat.internal.snapshot.inspections.MultiplePath2GCRootsQuery.Tree

All Implemented Interfaces:
  `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  `MultiplePath2GCRootsQuery`

public abstract static class MultiplePath2GCRootsQuery.Tree extends Object implements IResultTree

## Method Summary

Modifier and Type
Method
Description
`List<?>`
`getChildren(Object parent)`
Returns the child elements of the given parent.
`List<?>`
`getElements()`
Returns the root elements of the tree.
`abstract MultiplePath2GCRootsQuery.Grouping`
`getGroupedBy()`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`MultiplePath2GCRootsQuery.Tree`
`groupBy(MultiplePath2GCRootsQuery.Grouping groupBy)`
`boolean`
`hasChildren(Object element)`
Returns whether the given element has children.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

## Method Details

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getElements

public List<?> getElements()
Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  a list of all the root elements of the tree as opaque row objects representing each row which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

### hasChildren

public boolean hasChildren(Object element)
Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

### getChildren

public List<?> getChildren(Object parent)
Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree

### getGroupedBy

public abstract MultiplePath2GCRootsQuery.Grouping getGroupedBy()

### groupBy

public MultiplePath2GCRootsQuery.Tree groupBy(MultiplePath2GCRootsQuery.Grouping groupBy)